summaryrefslogtreecommitdiffstats
path: root/abs/core/func/failed_func
diff options
context:
space:
mode:
Diffstat (limited to 'abs/core/func/failed_func')
-rw-r--r--abs/core/func/failed_func20
1 files changed, 20 insertions, 0 deletions
diff --git a/abs/core/func/failed_func b/abs/core/func/failed_func
new file mode 100644
index 0000000..943fab9
--- /dev/null
+++ b/abs/core/func/failed_func
@@ -0,0 +1,20 @@
+#!/bin/bash
+. /etc/profile
+. /etc/systemconfig
+
+#if [ x$SystemType = "xMaster_backend" -o x$SystemType = "xStandAlone" ]
+#then
+# exit 0
+#fi
+curl -# http://$dbhost/failed_func_hosts|grep -q `hostname`
+status=$?
+if [ $status = 0 ]
+then
+ echo "removing ca (failed_func.sh)"
+ rm -f /etc/pki/certmaster/*
+ echo "restarting func"
+ sv stop funcd
+ sleep 3
+ sv start funcd
+fi
+